<template>
  <div class="home-chart" :style="{height:chart.wgtData.height?chart.wgtData.height + 'px':''}">
    <mt-header class="home-header">
      <router-link to="/" slot="left">
        <span class="title">{{chart.wgtData.name}}</span>
      </router-link>
    </mt-header>
    <div id="myChart" ref="myChart" :style="{height:chart.wgtData.height?(chart.wgtData.height - 44) + 'px':''}"></div>
  </div>
</template>
<script>
//import { setTimeout } from 'timers';
// import axios from "axios";
// 引入基本模板
//let echarts = require('echarts/lib/echarts')
// // 引入柱状图组件
// require('echarts/lib/chart/bar')
// // 引入提示框和title组件
// require('echarts/lib/component/tooltip')
// require('echarts/lib/component/title')
import { mapMutations } from 'vuex';
export default {
  inject: ["reload"],
  props: ["chart"],
  mounted() {
    this.getChart();
  },
  watch: {
    chartData() {
      this.drawLine();
    },
  },
  data() {
    return{
      chartData:'',
    }
  },
  methods: {
    ...mapMutations({
      setView: 'setWidgetChartView'// 将 `this.increase()` 映射为 `this.$store.commit('increase')`
    }),
    getChart() {
      this.$api.getChart(this.chart.wgtData.actionContent, {
        onSucess: response => { 
          let chartData = JSON.parse(response.data.data.result);
          this.chartData = chartData;
          this.view = response.data.data.view;
        }
      })
    },
    drawLine(){
      let that = this;
      let myChart = this.$echarts.init(this.$refs.myChart);
      myChart.setOption(this.chartData);
      myChart.on('click', function (){
        if(that.view && that.view.id) {
          let obj = {};
          obj.appId = that.$root.appid;
          obj.actionContent = that.view.id;
          obj.isWidgetChartView = true;
          obj.linkType = '01';
          that.setView(that.view);
          that.$router.push({ name: "open", query: obj });
        }       	
      });
    }
  }
};
</script>
<style lang="scss" scoped>
.home-report {
  .jrPage {
    width:100%;
  }
  #mainFrame::-webkit-scrollbar {
    display: none;
  }
}
#mainFrame::-webkit-scrollbar {
  display: none;
}
</style>


